export default {
    methods: { 
        showDiv: function () {
            setTimeout(function () { document.getElementById("Div_OpsRow").style.display = ''; }, 200);
        },
        getString: function (key) {
            return Translation[key];
        },
        hideOpsRowIfnoControls: function () {
            setTimeout(function () { if (!hasVisibleElements("Div_OpsRowBody")) { document.getElementById("Div_OpsRow").style.display = 'none'; } else { document.getElementById("Div_OpsRow").style.display = ''; } }, 200);
        }
    },
    created: function () {
        this.showDiv();
        this.hideOpsRowIfnoControls();
    },
    updated: function () {
        this.showDiv();
        this.hideOpsRowIfnoControls();
    },
    template: `               
<div class="Div_OpsRow" id="Div_OpsRow">
    <div class="col-xs-12">
        <div class="card">
            <div class="header">
                <h3>
                    {{ getString("GN00001320") }}
                </h3>
            </div>
            <div id="Div_OpsRowBody" class="body">
                <slot></slot>
            </div>
        </div>
    </div>
</div>
`
}

